Page MenuHomePhabricator

Wrong options for H264: -wpred-dct8x8
Closed, ResolvedPublic

Description

When transcoding video to MP4 with avconv (packages libav-tools and libavcodec-extra-54), transcoding job fails with:

[NULL @ 0x230a700] [Eval @ 0x7fffaa9238e0] Undefined constant or missing '(' in 'wpred'
[NULL @ 0x230a700] Unable to parse option value "wpred-dct8x8"
[NULL @ 0x230a700] Error setting option flags2 to value -wpred-dct8x8.

Removing "-flags2 -wpred-dct8x8 -level 13" from line 414 of WebVideoTranscode/WebVideoTranscodeJob.php and "-flags2 -wpred-dct8x8 -level 30" from line 418 fixes it.

If these options are necessary in some configurations and cannot be therefore unconditionally removed from function ffmpegAddH264VideoOptions( $options, $pass ), perhaps they should be made configurable from LocalSettings.php.


Version: REL1_23-branch
Severity: normal
OS: Linux

Details

Reference
bz71391

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:45 AM
bzimport added a project: TimedMediaHandler.
bzimport set Reference to bz71391.
bzimport added a subscriber: Unknown Object (MLST).
Gilles triaged this task as High priority.Nov 24 2014, 1:55 PM
Gilles added a subscriber: Gilles.

Change 219395 had a related patch set uploaded (by Brion VIBBER):
Fix MP4/H.264 transcodes on modern avconv

https://gerrit.wikimedia.org/r/219395

Change 219395 merged by jenkins-bot:
Fix MP4/H.264 transcodes on modern avconv

https://gerrit.wikimedia.org/r/219395

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJun 29 2015, 5:50 PM
brion closed this task as Resolved.Jul 20 2015, 2:41 PM
brion claimed this task.
brion added a subscriber: brion.

Patch was merged so think we're ok... closing!

alex-mashin updated the task description. (Show Details)Aug 16 2015, 3:24 AM
alex-mashin set Security to None.

Will you please backport the patch to REL1_25?

Change 243370 had a related patch set uploaded (by Brion VIBBER):
Fix MP4/H.264 transcodes on modern avconv

https://gerrit.wikimedia.org/r/243370

brion added a comment.Oct 3 2015, 7:19 AM

Will you please backport the patch to REL1_25?

done!

I did git reset --hard HEAD; git pull; git checkout REL1_25 and still see -wpred-dct8x8 -level 13.

brion added a comment.Oct 3 2015, 6:32 PM

Agh, failed tests and didn't merge. Will look at it when I'm not in an airport.

Change 243370 merged by jenkins-bot:
Fix MP4/H.264 transcodes on modern avconv

https://gerrit.wikimedia.org/r/243370